# Uses of Class
nu.xom.Attribute.Type

Packages that use Attribute.Type
Package
Description
nu.xom
`nu.xom` is the core package of XOM that contains all the basic classes representing the different kinds of nodes: elements, attributes, comments, text nodes, and so forth.

## Uses of Attribute.Type in nu.xom

Fields in nu.xom declared as Attribute.Type
Modifier and Type
Field
Description
`static final Attribute.Type`
Attribute.Type.`CDATA`
The type of attributes declared to have type CDATA in the DTD.
`static final Attribute.Type`
Attribute.Type.`ENTITIES`
The type of attributes declared to have type ENTITIES in the DTD.
`static final Attribute.Type`
Attribute.Type.`ENTITY`
The type of attributes declared to have type ENTITY in the DTD.
`static final Attribute.Type`
Attribute.Type.`ENUMERATION`
The type of attributes declared by an enumeration in the DTD.
`static final Attribute.Type`
Attribute.Type.`ID`
The type of attributes declared to have type ID in the DTD.
`static final Attribute.Type`
Attribute.Type.`IDREF`
The type of attributes declared to have type IDREF in the DTD.
`static final Attribute.Type`
Attribute.Type.`IDREFS`
The type of attributes declared to have type IDREFS in the DTD.
`static final Attribute.Type`
Attribute.Type.`NMTOKEN`
The type of attributes declared to have type NMTOKEN in the DTD.
`static final Attribute.Type`
Attribute.Type.`NMTOKENS`
The type of attributes declared to have type NMTOKENS in the DTD.
`static final Attribute.Type`
Attribute.Type.`NOTATION`
The type of attributes declared to have type NOTATION in the DTD.
`static final Attribute.Type`
Attribute.Type.`UNDECLARED`
The type of attributes not declared in the DTD.
Methods in nu.xom that return Attribute.Type
Modifier and Type
Method
Description
`final Attribute.Type`
Attribute.`getType()`
Returns the DTD type of this attribute.
Methods in nu.xom with parameters of type Attribute.Type
Modifier and Type
Method
Description
`Nodes`
NodeFactory.`makeAttribute(String name, String URI, String value, Attribute.Type type)`
Returns a new `Nodes` object containing an attribute in the specified namespace with the specified name and type.
`void`
Attribute.`setType(Attribute.Type type)`
Sets the type of this attribute to one of the ten DTD types or `Type.UNDECLARED`.
Constructors in nu.xom with parameters of type Attribute.Type
Modifier
Constructor
Description
``
`Attribute(String name, String URI, String value, Attribute.Type type)`
Creates a new attribute in the specified namespace with the specified name, value, and type.
``
`Attribute(String localName, String value, Attribute.Type type)`
Creates a new attribute in no namespace with the specified name, value, and type.